Subject: Re: Openjade Segmentation Fault
From: "Gerrit P. Haase" <[email-masked]>
To: "Javier J." <[email-masked]>
Cc: [email-masked], [email-masked], Jon Foster <[email-masked]>, Markus Hoenicka <[email-masked]>, Markus Hoenicka <[email-masked]>, <[email-masked]>, Nicholas Wourms <[email-masked]>, Joshua Daniel Franklin <[email-masked]>
Date: Wed, 24 Jul 2002 08:02:08 +0200

Hallo Javier,

Am Montag, 22. Juli 2002 um 18:01 schriebst du:

> I want to get jade and related packages on my
> Windows 2000 + Cygwin system, and test them 
> with 'DocBook: The Definitive Guide' (from
> 'http://www.oasis-open.org/committees/docbook/
> documentation/reference/')

> I've tried with openjade and related packages,
> downloaded from 'http://www.toomanysecrets.net/
> ~foster/cygwin/'. As binaries were put at 
> '/usr/bin' (that is, my
> 'c:/Programas/cygwin/usr/bin' folder) i had to
> move them to '/bin' (i.e. my 
> 'c:/Programas/cygwin/bin' folder)

> Now, the program crashes and i do not know 
> what goes wrong and what to do. Someone has faced 
> a similar problem? Any help here? 

Nicholas wrote about this:

"The last time I checked, there were some packaging issues.  If you will
notice, he made tarballs with a "." in the path.  For some reason, setup 
can't handle this and ends up sticking the openjade binaries in the 
folder usr/bin [instead of sticking it in bin/].  Of course since 
/usr/bin is a virtual folder inside cygwin, the end result is that 
Cygwin will refuse to acknowledge the existance of the openjade 
binaries.  Otherwise, with some minor tweaking of teTeX and the addition 
of pdfjadetex/sgmlutils/sgmlutils-lite/docbook-utils, I was able to get 
a fairly decent docbook build environment set up.  Jon's email is 
bouncing, so I've had no way to contact him regarding this..."

> ~# openjade -v
> openjade:I: OpenJade version "1.3.1"
> openjade:I: OpenSP version "1.3.4"
> ~# cd ~/sgml/dbguide/
> ~# openjade -trtf \
> -d/usr/share/sgml/docbook-dsssl/print/docbook.dsl \
> /usr/share/sgml/docbook-3.1/docbook.dcl fulltext.sgm
> Segmentation Fault
> ~# 

What does 'cygcheck -svr' tell us?

Please F'UP to cygwin at cygwin.com

Gerrit
-- 
"All faults& bugs are mine - Robert"
    from squid/acinclude.m4,   Sun Apr 21 05:21:21 2002

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/